Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMarkus Knauer2012-09-19 11:40:47 +0000
committerMarkus Knauer2012-09-19 11:40:47 +0000
commit79cf4bd34db86ebbd90b20750dde1a28145b69ba (patch)
tree8c5cbd82842ed3504c9e8decd65018e26c9d3f53 /bundles
parent00c77bd7c2c1c3be175a8d3c4dec538d5955a8c3 (diff)
downloadorg.eclipse.rap-79cf4bd34db86ebbd90b20750dde1a28145b69ba.tar.gz
org.eclipse.rap-79cf4bd34db86ebbd90b20750dde1a28145b69ba.tar.xz
org.eclipse.rap-79cf4bd34db86ebbd90b20750dde1a28145b69ba.zip
Change negated p2 requirements from IU to osgi.bundle
Instead of requiring a p2 IU not to be there, this change ensures that there is no OSGi bundle with the specific IDs installed.
Diffstat (limited to 'bundles')
-rw-r--r--bundles/org.eclipse.rap.jface.databinding/META-INF/p2.inf2
-rw-r--r--bundles/org.eclipse.rap.jface/META-INF/p2.inf2
-rw-r--r--bundles/org.eclipse.rap.rwt/META-INF/p2.inf2
-rw-r--r--bundles/org.eclipse.rap.ui.cheatsheets/META-INF/p2.inf2
-rw-r--r--bundles/org.eclipse.rap.ui.forms/META-INF/p2.inf2
-rw-r--r--bundles/org.eclipse.rap.ui.views/META-INF/p2.inf2
-rw-r--r--bundles/org.eclipse.rap.ui.workbench/META-INF/p2.inf2
-rw-r--r--bundles/org.eclipse.rap.ui/META-INF/p2.inf2
8 files changed, 8 insertions, 8 deletions
diff --git a/bundles/org.eclipse.rap.jface.databinding/META-INF/p2.inf b/bundles/org.eclipse.rap.jface.databinding/META-INF/p2.inf
index 9ab4039525..528495df28 100644
--- a/bundles/org.eclipse.rap.jface.databinding/META-INF/p2.inf
+++ b/bundles/org.eclipse.rap.jface.databinding/META-INF/p2.inf
@@ -1,6 +1,6 @@
# Prevent installation if other IU is already installed with a negative requirement.
requires.0.name = org.eclipse.jface.databinding
-requires.0.namespace = org.eclipse.equinox.p2.iu
+requires.0.namespace = osgi.bundle
requires.0.min = 0
requires.0.max = 0
diff --git a/bundles/org.eclipse.rap.jface/META-INF/p2.inf b/bundles/org.eclipse.rap.jface/META-INF/p2.inf
index 0ff088416a..48ff4ae74a 100644
--- a/bundles/org.eclipse.rap.jface/META-INF/p2.inf
+++ b/bundles/org.eclipse.rap.jface/META-INF/p2.inf
@@ -1,6 +1,6 @@
# Prevent installation if other IU is already installed with a negative requirement.
requires.0.name = org.eclipse.jface
-requires.0.namespace = org.eclipse.equinox.p2.iu
+requires.0.namespace = osgi.bundle
requires.0.min = 0
requires.0.max = 0
diff --git a/bundles/org.eclipse.rap.rwt/META-INF/p2.inf b/bundles/org.eclipse.rap.rwt/META-INF/p2.inf
index 6d72614876..f79c8a0c33 100644
--- a/bundles/org.eclipse.rap.rwt/META-INF/p2.inf
+++ b/bundles/org.eclipse.rap.rwt/META-INF/p2.inf
@@ -1,6 +1,6 @@
# Prevent installation if other IU is already installed with a negative requirement.
requires.0.name = org.eclipse.swt
-requires.0.namespace = org.eclipse.equinox.p2.iu
+requires.0.namespace = osgi.bundle
requires.0.min = 0
requires.0.max = 0
diff --git a/bundles/org.eclipse.rap.ui.cheatsheets/META-INF/p2.inf b/bundles/org.eclipse.rap.ui.cheatsheets/META-INF/p2.inf
index 905e2578d7..265296f36e 100644
--- a/bundles/org.eclipse.rap.ui.cheatsheets/META-INF/p2.inf
+++ b/bundles/org.eclipse.rap.ui.cheatsheets/META-INF/p2.inf
@@ -1,6 +1,6 @@
# Prevent installation if other IU is already installed with a negative requirement.
requires.0.name = org.eclipse.ui.cheatsheets
-requires.0.namespace = org.eclipse.equinox.p2.iu
+requires.0.namespace = osgi.bundle
requires.0.min = 0
requires.0.max = 0
diff --git a/bundles/org.eclipse.rap.ui.forms/META-INF/p2.inf b/bundles/org.eclipse.rap.ui.forms/META-INF/p2.inf
index 8241964a9c..b11d8b213c 100644
--- a/bundles/org.eclipse.rap.ui.forms/META-INF/p2.inf
+++ b/bundles/org.eclipse.rap.ui.forms/META-INF/p2.inf
@@ -1,6 +1,6 @@
# Prevent installation if other IU is already installed with a negative requirement.
requires.0.name = org.eclipse.ui.forms
-requires.0.namespace = org.eclipse.equinox.p2.iu
+requires.0.namespace = osgi.bundle
requires.0.min = 0
requires.0.max = 0
diff --git a/bundles/org.eclipse.rap.ui.views/META-INF/p2.inf b/bundles/org.eclipse.rap.ui.views/META-INF/p2.inf
index e64031264c..84b0818441 100644
--- a/bundles/org.eclipse.rap.ui.views/META-INF/p2.inf
+++ b/bundles/org.eclipse.rap.ui.views/META-INF/p2.inf
@@ -1,6 +1,6 @@
# Prevent installation if other IU is already installed with a negative requirement.
requires.0.name = org.eclipse.ui.views
-requires.0.namespace = org.eclipse.equinox.p2.iu
+requires.0.namespace = osgi.bundle
requires.0.min = 0
requires.0.max = 0
diff --git a/bundles/org.eclipse.rap.ui.workbench/META-INF/p2.inf b/bundles/org.eclipse.rap.ui.workbench/META-INF/p2.inf
index 7e5b6473f7..dd9915cb43 100644
--- a/bundles/org.eclipse.rap.ui.workbench/META-INF/p2.inf
+++ b/bundles/org.eclipse.rap.ui.workbench/META-INF/p2.inf
@@ -1,6 +1,6 @@
# Prevent installation if other IU is already installed with a negative requirement.
requires.0.name = org.eclipse.ui.workbench
-requires.0.namespace = org.eclipse.equinox.p2.iu
+requires.0.namespace = osgi.bundle
requires.0.min = 0
requires.0.max = 0
diff --git a/bundles/org.eclipse.rap.ui/META-INF/p2.inf b/bundles/org.eclipse.rap.ui/META-INF/p2.inf
index b31fe442f4..a973cd3fac 100644
--- a/bundles/org.eclipse.rap.ui/META-INF/p2.inf
+++ b/bundles/org.eclipse.rap.ui/META-INF/p2.inf
@@ -1,6 +1,6 @@
# Prevent installation if other IU is already installed with a negative requirement.
requires.0.name = org.eclipse.ui
-requires.0.namespace = org.eclipse.equinox.p2.iu
+requires.0.namespace = osgi.bundle
requires.0.min = 0
requires.0.max = 0

Back to the top